{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template theme_classic/header

    This template renders the header.

    Example context (json):
    {
        "contextheader": "context_header_html",
        "hasnavbar": false,
        "navbar": "navbar_if_available",
        "courseheader": "course_header_html"
    }
}}
<header id="page-header" class="row">

<div class="headerbkg"></div>

    <div class="col-12 pt-1 pb-1">
        <div class="card {{^contextheader}}border-0 bg-transparent{{/contextheader}}">
            <div class="card-body {{^contextheader}}p-2{{/contextheader}}">
                <div class="d-flex"> 
                    
                    {{#hasnavbar}}
                    <div id="page-navbar">
                        {{{navbar}}}
                    </div>
                    {{/hasnavbar}}

                    {{{roleswitch}}}
                    {{{loginas}}}
                    
                    <div id="course-header">
                        {{{courseheader}}}                    
                    </div>

                </div>

                <div class="d-flex flex-wrap align-items-center">
                    <div class="mr-auto">
                    {{{contextheader}}}
                    </div>
                    <div class="header-actions-container flex-shrink-0" data-region="header-actions-container">
                        {{#headeractions}}
                            <div class="header-action ml-2">{{{.}}}</div>
                        {{/headeractions}}
                    </div>
                </div>

            </div>
        </div>
    </div>

    {{#headerlinks}}
        <div class="headerlinks">

            {{#headerlinksdata}}
                {{#status}}
                <a href="{{{url}}}" title="{{{title}}}" class="headerlink"><i class="fa {{{icon}}}"></i> {{{title}}}</a>
                {{/status}}
            {{/headerlinksdata}}

        </div>
    {{/headerlinks}}

</header>